应用程序:Openings
Revit平台:全部
Revit版本:2011.0
首次发布时间:9.1
编程语言:C#
技能水平:高
类别:元素
类型:ExternalCommand
主题:显示洞口信息。
摘要:
展示如何获取开口的几何剖面和属性,以及如何向开口边界框添加X型模型线。
类:
Autodesk.Revit.UI.IExternalCommand
Autodesk.Revit.DB.Opening
Autodesk.Revit.DB.Document
项目文件:
Command.cs
此文件定义了一个Command类,该类继承自IExternalCommand。该类实现了Execute方法。该类的主要功能是获取项目中所有的开口部,以及从中获取信息。
OpeningInfo.cs
此文件定义了一个OpeningInfo类,用于存储活动文档中开口部的信息。
OpeningProperty.cs
此文件定义了一个OpeningProperty类,其中包含了属性。这些属性将在Form的PropertyGrid中显示。
OpeningForm.cs
该文件定义了一个OpeningForm类,它由PictureBox和PropertyGrid控件组成。图片框显示所选开口的剖面,PropertyGrid控件显示所选开口的属性。
CreateModelLineOptionsForm.cs
此文件定义了一个CreateModelLineOptionsForm类,该类继承自Form。此类的功能是创建开口边界框的ModelLine。
说明:
此示例检索活动文档中的所有开口,并显示所选开口的剖面和属性。通过迭代文档的元素可以检索开口。然后利用PictureBox控件和PropertyGrid控件分别显示剖面和属性。通过文档的NewModelCurve方法可以创建ModelLine。
说明:
1. 打开或新建一个Revit项目,并确保已放置一些开口部。在示例的文件夹中提供了一个样例项目文件Openings.rvt。
2. 运行命令,将弹出一个表格。
3. 要查看一个开口的剖面和属性,请从ComboBox控件中选择它。
4. 单击“添加X型模型线”按钮,为开口边框添加X型模型线。
源代码
完整的源代码请加入QQ群649037449,在群文件中下载RevitSDK.exe,解压后在文件夹中搜索本文中应用程序名称即可获得完整源码
OpeningInfo.cs
//
// (C) Copyright 2003-2019 by Autodesk, Inc.
//
// Permission to use, copy, modify, and distribute this software in
// object code form for any purpose and without fee is hereby granted,
// provided that the above copyright notice appears in all copies and
// that both that copyright notice and the limited warranty and
// restricted rights notice below appear in all supporting
// documentation.
//
// AUTODESK PROVIDES THIS PROGRAM "AS IS" AND WITH ALL FAULTS.
// AUTODESK SPECIFICALLY DISCLAIMS ANY IMPLIED WARRANTY OF
// MERCHANTABILITY OR FITNESS FOR A PARTICULAR USE. AUTODESK, INC.
// DOES NOT WARRANT THAT THE OPERATION OF THE PROGRAM WILL BE
// UNINTERRUPTED OR ERROR FREE.
//
// Use, duplication, or disclosure by the U.S. Government is subject to
// restrictions set forth in FAR 52.227-19 (Commercial Computer
// Software - Restricted Rights) and DFAR 252.227-7013(c)(1)(ii)
// (Rights in Technical Data and Computer Software), as applicable.
//
using System;
using System.Collections.Generic;
using System.Text;
using Autodesk.Revit.DB;
using Autodesk.Revit.UI;
using Autodesk.Revit.ApplicationServices;
using System.Drawing;
using Autodesk.Revit;
using System.Collections.ObjectModel;
namespace Revit.SDK.Samples.Openings.CS
{
/// <summary>
/// This class contain the data about the Opening (get from Revit)
/// Such as BoundingBox, Profile Curve...
/// </summary>
public class OpeningInfo
{
private UIApplication m_revit; //Application of Revit
private List<Line3D> m_lines = new List<Line3D>(); //contains lines in curve
private Opening m_opening; //Opening got from Revit
//OpeningProperty class which can use in PropertyGrid control
private OpeningProperty m_property;
private WireFrame m_sketch; //Profile information of opening
private BoundingBox m_boundingBox; //BoundingBox of Opening
//property
/// <summary>
/// Property to get and set Application of Revit
/// </summary>
public UIApplication Revit
{
get
{
return m_revit;
}
set
{
if (value != m_revit)
m_revit = value;
}
}
/// <summary>
/// Property to get Opening store in OpeningInfo
/// </summary>
public Opening Opening
{
get
{
return m_opening;
}
}
/// <summary>
/// Property to get Name and Id
/// eg: "Opening Cut (114389)"
/// </summary>
public string NameAndId
{
get
{
return String.Concat(m_opening.Name, " (", m_opening.Id.IntegerValue.ToString(), ")");
}
}
/// <summary>
/// Property to get bool the define whether opening is Shaft Opening
/// </summary>
public bool IsShaft
{
get
{
if (null != m_opening.Category)
{
if ("Shaft Openings" == m_opening.Category.Name)
return true;
else
{
return false;
}
}
else
{
return false;
}
}
}
/// <summary>
/// Property to get OpeningProperty class
/// which can use in PropertyGrid control
/// </summary>
public OpeningProperty Property
{
get
{
return m_property;
}
}
/// <summary>
/// Property to get Profile information of opening
/// </summary>
public WireFrame Sketch
{
get
{
return m_sketch;
}
}
/// <summary>
/// Property to get BoundingBox of Opening
/// </summary>
public BoundingBox BoundingBox
{
get
{
return m_boundingBox;
}
}
/// <summary>
/// The default constructor,
/// get the information we want from Opening
/// get OpeningProperty, BoundingBox and Profile
/// </summary>
/// <param name="opening">an opening in revit</param>
/// <param name="app">application object</param>
public OpeningInfo(Opening opening, UIApplication app)
{
m_opening = opening;
m_revit = app;
//get OpeningProperty which can use in PropertyGrid control
OpeningProperty openingProperty = new OpeningProperty(m_opening);
m_property = openingProperty;
//get BoundingBox of Opening
BoundingBoxXYZ boxXYZ = m_opening.get_BoundingBox(m_revit.ActiveUIDocument.Document.ActiveView);
BoundingBox boundingBox = new BoundingBox(boxXYZ);
m_boundingBox = boundingBox;
//get profile
GetProfile();
}
/// <summary>
/// get Profile of Opening
/// </summary>
private void GetProfile()
{
CurveArray curveArray = m_opening.BoundaryCurves;
if (null != curveArray)
{
m_lines.Clear();
foreach (Curve curve in curveArray)
{
List<XYZ> points = curve.Tessellate() as List<XYZ>;
AddLine(points);
}
WireFrame wireFrameSketch = new WireFrame(new ReadOnlyCollection<Line3D>(m_lines));
m_sketch = wireFrameSketch;
}
else if (m_opening.IsRectBoundary)
{
//if opening profile is RectBoundary,
//just can get profile info from BoundaryRect Property
m_lines.Clear();
List<XYZ> boundRect = m_opening.BoundaryRect as List<XYZ>;
List<XYZ> RectPoints = GetPoints(boundRect);
AddLine(RectPoints);
WireFrame wireFrameSketch = new WireFrame(new ReadOnlyCollection<Line3D>(m_lines));
m_sketch = wireFrameSketch;
}
else
{
m_sketch = null;
}
}
/// <summary>
/// get four corner points of a rectangular in same plane
/// </summary>
/// <param name="boundRect">an array contain two Autodesk.Revit.DB.XYZ struct store the max and min
/// coordinate of rectangular</param>
private List<XYZ> GetPoints(List<XYZ> boundRect)
{
List<XYZ> points = new List<XYZ>();
Autodesk.Revit.DB.XYZ p1 = boundRect[0];
points.Add(p1);
Autodesk.Revit.DB.XYZ p2 = new Autodesk.Revit.DB.XYZ(
boundRect[0].X,
boundRect[0].Y,
boundRect[1].Z);
points.Add(p2);
Autodesk.Revit.DB.XYZ p3 = boundRect[1];
points.Add(p3);
Autodesk.Revit.DB.XYZ p4 = new Autodesk.Revit.DB.XYZ (
boundRect[1].X,
boundRect[1].Y,
boundRect[0].Z);
points.Add(p4);
//make rectangle close
Autodesk.Revit.DB.XYZ p5 = boundRect[0];
points.Add(p5);
return points;
}
/// <summary>
/// get line from List<XYZ>(points) and add line to m_lines list
/// </summary>
/// <param name="points">a List<XYZ> contain points of the Curve</param>
private void AddLine(List<XYZ> points)
{
if (null == points || 0 == points.Count)
{
return;
}
Autodesk.Revit.DB.XYZ previousPoint;
previousPoint = points[0];
for (int i = 1; i < points.Count; i++)
{
Autodesk.Revit.DB.XYZ point;
point = points[i];
Line3D line = new Line3D();
Vector pointStart = new Vector();
Vector pointEnd = new Vector();
for (int j = 0; j < 3; j++)
{
pointStart[j] = previousPoint[j];
pointEnd[j] = point[j];
}
line.StartPoint = pointStart;
line.EndPoint = pointEnd;
m_lines.Add(line);
previousPoint = point;
}
}
}
}
OpeningProperty.cs
//
// (C) Copyright 2003-2019 by Autodesk, Inc.
//
// Permission to use, copy, modify, and distribute this software in
// object code form for any purpose and without fee is hereby granted,
// provided that the above copyright notice appears in all copies and
// that both that copyright notice and the limited warranty and
// restricted rights notice below appear in all supporting
// documentation.
//
// AUTODESK PROVIDES THIS PROGRAM "AS IS" AND WITH ALL FAULTS.
// AUTODESK SPECIFICALLY DISCLAIMS ANY IMPLIED WARRANTY OF
// MERCHANTABILITY OR FITNESS FOR A PARTICULAR USE. AUTODESK, INC.
// DOES NOT WARRANT THAT THE OPERATION OF THE PROGRAM WILL BE
// UNINTERRUPTED OR ERROR FREE.
//
// Use, duplication, or disclosure by the U.S. Government is subject to
// restrictions set forth in FAR 52.227-19 (Commercial Computer
// Software - Restricted Rights) and DFAR 252.227-7013(c)(1)(ii)
// (Rights in Technical Data and Computer Software), as applicable.
//
using System;
using System.Collections.Generic;
using System.Text;
using System.ComponentModel;
using Autodesk.Revit.DB;
namespace Revit.SDK.Samples.Openings.CS
{
/// <summary>
/// This class use to create a object can use by PropertyGrid control
/// </summary>
public class OpeningProperty
{
private string m_name = "Opening"; //name of opening
private string m_elementId = ""; //Element Id of Opening
private string m_hostElementId = ""; // Element Id of Opening,'s host
private string m_hostName = "Null"; //Name of host
private bool m_isShaft; //whether Opening is Shaft Opening
/// <summary>
/// The default constructor
/// </summary>
/// <param name="opening">Opening in Revit</param>
public OpeningProperty(Opening opening)
{
if (null == opening)
{
throw new ArgumentNullException();
}
//get parameters which need to show
m_name = opening.Name;
m_elementId = opening.Id.IntegerValue.ToString();
if (null != opening.Host)
{
if (null != opening.Host.Category)
m_hostName = opening.Host.Category.Name;
m_hostElementId = opening.Host.Id.IntegerValue.ToString();
}
if (null != opening.Category)
{
if ("Shaft Openings" == opening.Category.Name)
m_isShaft = true;
}
}
/// <summary>
/// name
/// </summary>
[Description("Name of current diaplayed Opening"),
Category("Opening Name"),]
public string Name
{
get
{
return m_name;
}
}
/// <summary>
///element id
/// </summary>
[Description("ElementId of current diaplayed Opening"),
Category("Opening Property"),]
public string ElementID
{
get
{
return m_elementId;
}
}
/// <summary>
/// host name
/// </summary>
[Description("Name of the Host which contains Current displayed Opening"),
CategoryAttribute("Opening Property"),]
public string HostName
{
get
{
return m_hostName;
}
}
/// <summary>
/// host elements id
/// </summary>
[Description("ElementId of Host"),
CategoryAttribute("Opening Property"),]
public string HostElementID
{
get
{
return m_hostElementId;
}
}
/// <summary>
/// shaft opening
/// </summary>
[Description("whether displayed openging is Shaft Opening"),
CategoryAttribute("Opening Property"),]
public bool ShaftOpening
{
get
{
return m_isShaft;
}
}
}
}
OpeningForm.cs
//
// (C) Copyright 2003-2019 by Autodesk, Inc.
//
// Permission to use, copy, modify, and distribute this software in
// object code form for any purpose and without fee is hereby granted,
// provided that the above copyright notice appears in all copies and
// that both that copyright notice and the limited warranty and
// restricted rights notice below appear in all supporting
// documentation.
//
// AUTODESK PROVIDES THIS PROGRAM "AS IS" AND WITH ALL FAULTS.
// AUTODESK SPECIFICALLY DISCLAIMS ANY IMPLIED WARRANTY OF
// MERCHANTABILITY OR FITNESS FOR A PARTICULAR USE. AUTODESK, INC.
// DOES NOT WARRANT THAT THE OPERATION OF THE PROGRAM WILL BE
// UNINTERRUPTED OR ERROR FREE.
//
// Use, duplication, or disclosure by the U.S. Government is subject to
// restrictions set forth in FAR 52.227-19 (Commercial Computer
// Software - Restricted Rights) and DFAR 252.227-7013(c)(1)(ii)
// (Rights in Technical Data and Computer Software), as applicable.
//
namespace Revit.SDK.Samples.Openings.CS
{
partial class OpeningForm
{
/// <summary>
/// Required designer variable.
/// </summary>
private System.ComponentModel.IContainer components = null;
/// <summary>
/// Clean up any resources being used.
/// </summary>
/// <param name="disposing">true if managed resources should be disposed;
/// otherwise, false.</param>
protected override void Dispose(bool disposing)
{
if (disposing && (components != null))
{
components.Dispose();
}
base.Dispose(disposing);
}
#region Windows Form Designer generated code
/// <summary>
/// Required method for Designer support - do not modify
/// the contents of this method with the code editor.
/// </summary>
private void InitializeComponent()
{
this.PreviewPictureBox = new System.Windows.Forms.PictureBox();
this.Createbutton = new System.Windows.Forms.Button();
this.OpeningPropertyGrid = new System.Windows.Forms.PropertyGrid();
this.OKButton = new System.Windows.Forms.Button();
this.OpeningListComboBox = new System.Windows.Forms.ComboBox();
this.label1 = new System.Windows.Forms.Label();
((System.ComponentModel.ISupportInitialize)(this.PreviewPictureBox)).BeginInit();
this.SuspendLayout();
//
// PreviewPictureBox
//
this.PreviewPictureBox.Location = new System.Drawing.Point(12, 12);
this.PreviewPictureBox.Name = "PreviewPictureBox";
this.PreviewPictureBox.Size = new System.Drawing.Size(286, 290);
this.PreviewPictureBox.TabIndex = 0;
this.PreviewPictureBox.TabStop = false;
this.PreviewPictureBox.Paint += new System.Windows.Forms.PaintEventHandler(this.PreviewPictureBox_Paint);
//
// Createbutton
//
this.Createbutton.Location = new System.Drawing.Point(370, 308);
this.Createbutton.Name = "Createbutton";
this.Createbutton.Size = new System.Drawing.Size(108, 23);
this.Createbutton.TabIndex = 2;
this.Createbutton.Text = "&Add X Model Line";
this.Createbutton.UseVisualStyleBackColor = true;
this.Createbutton.Click += new System.EventHandler(this.Createbutton_Click);
//
// OpeningPropertyGrid
//
this.OpeningPropertyGrid.Location = new System.Drawing.Point(304, 70);
this.OpeningPropertyGrid.Name = "OpeningPropertyGrid";
this.OpeningPropertyGrid.Size = new System.Drawing.Size(254, 232);
this.OpeningPropertyGrid.TabIndex = 4;
//
// OKButton
//
this.OKButton.DialogResult = System.Windows.Forms.DialogResult.Cancel;
this.OKButton.Location = new System.Drawing.Point(484, 308);
this.OKButton.Name = "OKButton";
this.OKButton.Size = new System.Drawing.Size(75, 23);
this.OKButton.TabIndex = 1;
this.OKButton.Text = "&OK";
this.OKButton.UseVisualStyleBackColor = true;
this.OKButton.Click += new System.EventHandler(this.OKButton_Click);
//
// OpeningListComboBox
//
this.OpeningListComboBox.DropDownStyle = System.Windows.Forms.ComboBoxStyle.DropDownList;
this.OpeningListComboBox.FormattingEnabled = true;
this.OpeningListComboBox.Location = new System.Drawing.Point(304, 38);
this.OpeningListComboBox.Name = "OpeningListComboBox";
this.OpeningListComboBox.Size = new System.Drawing.Size(254, 21);
this.OpeningListComboBox.TabIndex = 3;
this.OpeningListComboBox.SelectedIndexChanged += new System.EventHandler(this.OpeningListComboBox_SelectedIndexChanged);
//
// label1
//
this.label1.AutoSize = true;
this.label1.Location = new System.Drawing.Point(305, 12);
this.label1.Name = "label1";
this.label1.Size = new System.Drawing.Size(55, 13);
this.label1.TabIndex = 5;
this.label1.Text = "Openings:";
//
// OpeningForm
//
this.AcceptButton = this.Createbutton;
this.AutoScaleDimensions = new System.Drawing.SizeF(6F, 13F);
this.AutoScaleMode = System.Windows.Forms.AutoScaleMode.Font;
this.CancelButton = this.OKButton;
this.ClientSize = new System.Drawing.Size(570, 340);
this.Controls.Add(this.label1);
this.Controls.Add(this.OpeningListComboBox);
this.Controls.Add(this.OKButton);
this.Controls.Add(this.OpeningPropertyGrid);
this.Controls.Add(this.Createbutton);
this.Controls.Add(this.PreviewPictureBox);
this.FormBorderStyle = System.Windows.Forms.FormBorderStyle.FixedDialog;
this.MaximizeBox = false;
this.MinimizeBox = false;
this.Name = "OpeningForm";
this.ShowIcon = false;
this.ShowInTaskbar = false;
this.Text = "All openings";
this.Load += new System.EventHandler(this.OpeningForm_Load);
((System.ComponentModel.ISupportInitialize)(this.PreviewPictureBox)).EndInit();
this.ResumeLayout(false);
this.PerformLayout();
}
#endregion
private System.Windows.Forms.PictureBox PreviewPictureBox;
private System.Windows.Forms.Button Createbutton;
private System.Windows.Forms.PropertyGrid OpeningPropertyGrid;
private System.Windows.Forms.Button OKButton;
private System.Windows.Forms.ComboBox OpeningListComboBox;
private System.Windows.Forms.Label label1;
}
}
CreateModelLineOptionsForm.cs
//
// (C) Copyright 2003-2019 by Autodesk, Inc.
//
// Permission to use, copy, modify, and distribute this software in
// object code form for any purpose and without fee is hereby granted,
// provided that the above copyright notice appears in all copies and
// that both that copyright notice and the limited warranty and
// restricted rights notice below appear in all supporting
// documentation.
//
// AUTODESK PROVIDES THIS PROGRAM "AS IS" AND WITH ALL FAULTS.
// AUTODESK SPECIFICALLY DISCLAIMS ANY IMPLIED WARRANTY OF
// MERCHANTABILITY OR FITNESS FOR A PARTICULAR USE. AUTODESK, INC.
// DOES NOT WARRANT THAT THE OPERATION OF THE PROGRAM WILL BE
// UNINTERRUPTED OR ERROR FREE.
//
// Use, duplication, or disclosure by the U.S. Government is subject to
// restrictions set forth in FAR 52.227-19 (Commercial Computer
// Software - Restricted Rights) and DFAR 252.227-7013(c)(1)(ii)
// (Rights in Technical Data and Computer Software), as applicable.
//
namespace Revit.SDK.Samples.Openings.CS
{
/// <summary>
/// creat model line options form
/// </summary>
partial class CreateModelLineOptionsForm
{
/// <summary>
/// Required designer variable.
/// </summary>
private System.ComponentModel.IContainer components = null;
/// <summary>
/// Clean up any resources being used.
/// </summary>
/// <param name="disposing">true if managed resources should be disposed;
/// otherwise, false.</param>
protected override void Dispose(bool disposing)
{
if (disposing && (components != null))
{
components.Dispose();
}
base.Dispose(disposing);
}
#region Windows Form Designer generated code
/// <summary>
/// Required method for Designer support - do not modify
/// the contents of this method with the code editor.
/// </summary>
private void InitializeComponent()
{
this.CreateAllRadioButton = new System.Windows.Forms.RadioButton();
this.CreateShaftRadioButton = new System.Windows.Forms.RadioButton();
this.CreateDisplayRadioButton = new System.Windows.Forms.RadioButton();
this.CreateButton = new System.Windows.Forms.Button();
this.cancelButton = new System.Windows.Forms.Button();
this.OptionsGroupBox = new System.Windows.Forms.GroupBox();
this.OptionsGroupBox.SuspendLayout();
this.SuspendLayout();
//
// CreateAllRadioButton
//
this.CreateAllRadioButton.AutoSize = true;
this.CreateAllRadioButton.Location = new System.Drawing.Point(17, 32);
this.CreateAllRadioButton.Name = "CreateAllRadioButton";
this.CreateAllRadioButton.Size = new System.Drawing.Size(197, 17);
this.CreateAllRadioButton.TabIndex = 0;
this.CreateAllRadioButton.TabStop = true;
this.CreateAllRadioButton.Text = "Create X Model Line on all Openings";
this.CreateAllRadioButton.UseVisualStyleBackColor = true;
//
// CreateShaftRadioButton
//
this.CreateShaftRadioButton.AutoSize = true;
this.CreateShaftRadioButton.Location = new System.Drawing.Point(17, 66);
this.CreateShaftRadioButton.Name = "CreateShaftRadioButton";
this.CreateShaftRadioButton.Size = new System.Drawing.Size(225, 17);
this.CreateShaftRadioButton.TabIndex = 1;
this.CreateShaftRadioButton.TabStop = true;
this.CreateShaftRadioButton.Text = "Create X Model Line on all Shaft Openings";
this.CreateShaftRadioButton.UseVisualStyleBackColor = true;
//
// CreateDisplayRadioButton
//
this.CreateDisplayRadioButton.AutoSize = true;
this.CreateDisplayRadioButton.Checked = true;
this.CreateDisplayRadioButton.Location = new System.Drawing.Point(17, 105);
this.CreateDisplayRadioButton.Name = "CreateDisplayRadioButton";
this.CreateDisplayRadioButton.Size = new System.Drawing.Size(244, 17);
this.CreateDisplayRadioButton.TabIndex = 2;
this.CreateDisplayRadioButton.TabStop = true;
this.CreateDisplayRadioButton.Text = "Create X Model Line on the displayed Opening";
this.CreateDisplayRadioButton.UseVisualStyleBackColor = true;
//
// CreateButton
//
this.CreateButton.Location = new System.Drawing.Point(141, 164);
this.CreateButton.Name = "CreateButton";
this.CreateButton.Size = new System.Drawing.Size(75, 23);
this.CreateButton.TabIndex = 3;
this.CreateButton.Text = "C&reate";
this.CreateButton.UseVisualStyleBackColor = true;
this.CreateButton.Click += new System.EventHandler(this.CreateButton_Click);
//
// cancelButton
//
this.cancelButton.DialogResult = System.Windows.Forms.DialogResult.Cancel;
this.cancelButton.Location = new System.Drawing.Point(222, 164);
this.cancelButton.Name = "cancelButton";
this.cancelButton.Size = new System.Drawing.Size(75, 23);
this.cancelButton.TabIndex = 4;
this.cancelButton.Text = "&Cancel";
this.cancelButton.UseVisualStyleBackColor = true;
this.cancelButton.Click += new System.EventHandler(this.cancelButton_Click);
//
// OptionsGroupBox
//
this.OptionsGroupBox.Controls.Add(this.CreateAllRadioButton);
this.OptionsGroupBox.Controls.Add(this.CreateShaftRadioButton);
this.OptionsGroupBox.Controls.Add(this.CreateDisplayRadioButton);
this.OptionsGroupBox.Location = new System.Drawing.Point(12, 12);
this.OptionsGroupBox.Name = "OptionsGroupBox";
this.OptionsGroupBox.Size = new System.Drawing.Size(285, 146);
this.OptionsGroupBox.TabIndex = 5;
this.OptionsGroupBox.TabStop = false;
this.OptionsGroupBox.Text = "Options :";
//
// CreateModelLineOptionsForm
//
this.AcceptButton = this.CreateButton;
this.AutoScaleDimensions = new System.Drawing.SizeF(6F, 13F);
this.AutoScaleMode = System.Windows.Forms.AutoScaleMode.Font;
this.CancelButton = this.cancelButton;
this.ClientSize = new System.Drawing.Size(309, 197);
this.Controls.Add(this.OptionsGroupBox);
this.Controls.Add(this.cancelButton);
this.Controls.Add(this.CreateButton);
this.FormBorderStyle = System.Windows.Forms.FormBorderStyle.FixedDialog;
this.MaximizeBox = false;
this.MinimizeBox = false;
this.Name = "CreateModelLineOptionsForm";
this.ShowIcon = false;
this.ShowInTaskbar = false;
this.Text = "Create X Model Line Options";
this.OptionsGroupBox.ResumeLayout(false);
this.OptionsGroupBox.PerformLayout();
this.ResumeLayout(false);
}
#endregion
private System.Windows.Forms.RadioButton CreateAllRadioButton;
private System.Windows.Forms.RadioButton CreateShaftRadioButton;
private System.Windows.Forms.RadioButton CreateDisplayRadioButton;
private System.Windows.Forms.Button CreateButton;
private System.Windows.Forms.Button cancelButton;
private System.Windows.Forms.GroupBox OptionsGroupBox;
}
}
版权所有 :无锡模信建筑科技有限公司 苏ICP备2021028830号-1 BIM建模|BIM技术应用|BIM软件开发
联系地址:江苏省无锡市新吴区龙山路4号B座705 手机:18761516598